# Restore WordPress site

This function starts a single WordPress® site backup restoration.

Note:

You must install the WordPress Manager cPanel plugin to access this API function.

Endpoint: GET /WordPressRestore/start
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `backup_path` (string, required)
    The file path to the backup archive.
    Example: "/home/example/wordpress-backups/example.com__2018-11-13T11:11:31-0600.tar.gz"

  - `site` (string, required)
    The WordPress site's URL to restore.

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "start"

  - `module` (string)
    The name of the module called.
    Example: "WordPressRestore"

  - `result` (object)

  - `result.data` (object)

  - `result.data.restore_id` (string)
    The unique identifier for the restoration operation. The name of the backup file without the file extension.
    Example: "example.com__2018-11-15T08:03:22-0600"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


